#include "Blocks.h"
#include "tiams.h"

TOOLBOX app_menu, RC_NO_IDS, 0, 240 {
	"New Game",		ACM_NEW
	"Highscore",	ACM_HIGHSCORE
	"Options",		ACM_OPTIONS
	"About",		ACM_ABOUT
}

DIALOG dialog_options, 0, 0, no_call_back {
	POPUP, {DF_TAB_SPACES, 12, 14}, "Game mode:  ", popup_game_mode, 0
	POPUP, {DF_TAB_SPACES, 12, 24}, "Grid size:  ", popup_grid_size, 1
	HEADER, {0, 0, 0}, "Options", PDB_OK, PDB_CANCEL
}

POPUP popup_game_mode, RC_NO_IDS, 0 {
	"Classic", MODE_CLASSIC
	"Unicorn", MODE_UNICORN
}

POPUP popup_grid_size, RC_NO_IDS, 0 {
	"2x2", 2
	"3x3", 3
	"4x4", 4
}

DIALOG dialog_win_notification, 0, 0, no_call_back {
	POPUP, {DF_TAB_SPACES, 12, 14}, "Choose:     ", popup_select_keep_playing, 0
	HEADER, {0, 0, 0}, "You win", PDB_OK, PDB_CANCEL
}

POPUP popup_select_keep_playing, RC_NO_IDS, 0 {
	"Keep going", 1
	"End game", 2
}

DIALOG dialog_win_and_game_over, 0, 0, no_call_back {
	TEXT, {0, 12, 14}, "You win, but there are"
	TEXT, {0, 12, 24}, "no further moves possible."
	HEADER, {0, 0, 0}, "You win", PDB_OK, PDB_CANCEL
}

DIALOG dialog_game_over, 0, 0, no_call_back {
	TEXT, {0, 12, 14}, "Game over"
	HEADER, {0, 0, 0}, "Game over", PDB_OK, PDB_CANCEL
}

DIALOG dialog_new_highscore, 0, 0, no_call_back {
	EDIT, {DF_TAB_SPACES, 12, 14}, "Name:       ", 0, 11, 11
	HEADER, {0, 0, 0}, "New Highscore", PDB_OK, PDB_CANCEL
}
